%bcond_without check

%global goipath         github.com/jackc/pgio
Version:                1.0.0

%gometa

%global common_description %{expand:
Package Pgio is a low-level toolkit building messages in the PostgreSQL wire
protocol.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Low-level toolkit building messages in the PostgreSQL wire protocol

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
